From 7928d83b02f0d2fb1f7d5ac886baf3724a9561a3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 16:08:08 +0200
Subject: [PATCH 20/45] Turn cleantext()'s dirtytext argument into char *

---
 cli-session.c | 4 ++--
 session.h     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/cli-session.c b/cli-session.c
index 1d5f998..8bf530c 100644
--- a/cli-session.c
+++ b/cli-session.c
@@ -372,10 +372,10 @@ static void cli_remoteclosed() {
 /* Operates in-place turning dirty (untrusted potentially containing control
  * characters) text into clean text. 
  * Note: this is safe only with ascii - other charsets could have problems. */
-void cleantext(unsigned char* dirtytext) {
+void cleantext(char* dirtytext) {
 
 	unsigned int i, j;
-	unsigned char c;
+	char c;
 
 	j = 0;
 	for (i = 0; dirtytext[i] != '\0'; i++) {
diff --git a/session.h b/session.h
index 0059d94..0c96075 100644
--- a/session.h
+++ b/session.h
@@ -63,7 +63,7 @@ void svr_dropbear_log(int priority, const char* format, va_list param);
 /* Client */
 void cli_session(int sock_in, int sock_out, struct dropbear_progress_connection *progress) ATTRIB_NORETURN;
 void cli_connected(int result, int sock, void* userdata, const char *errstring);
-void cleantext(unsigned char* dirtytext);
+void cleantext(char* dirtytext);
 
 /* crypto parameters that are stored individually for transmit and receive */
 struct key_context_directional {

